
package de.ivu.elect.business.benutzerverwaltung.boundary;

import org.apache.deltaspike.core.api.scope.ConversationGroup;
import org.apache.deltaspike.core.api.scope.GroupedConversationScoped;

import de.ivu.elect.business.mandant.entity.Mandant;
import de.ivu.elect.business.search.control.AbstractElectSearchParameters;

@GroupedConversationScoped
@ConversationGroup(AngemeldeteBenutzerSearchParameters.class)
public class AngemeldeteBenutzerSearchParameters extends AbstractElectSearchParameters {

  private static final long serialVersionUID = 1L;

  private Mandant mandant;

  public AngemeldeteBenutzerSearchParameters() {
    super();
  }

  public Mandant getMandant() {
    return mandant;
  }

  public void setMandant(Mandant mandant) {
    this.mandant = mandant;
  }

  @Override
  public void reset() {
    mandant = null;

    super.reset();
  }
}
